Subject: behaviour of .gitignore

From: "J.V." <[email-masked]>
Date: Fri, 25 May 2012 10:32:45 -0600

On my local machine, I create a /bin/ directory added some bash scripts, 
comitted and then pushed them to the repository.

Now today I do a git pull and they are gone but cannot see that anyone 
deleted them in the git log / history, but there is a /bin/ entry in the 
.gitignore file.

Does this mean, the files are still in the shared repository (orgin) 
that I could get them back?

I tried removing /bin/ from the git ignore and doing a pull but my /bin/ 
directory is still not there.

Is there anyway to do a pull now and have it look at my local gitignore 
and pull the directory back?

thanks

J.V.